| Home | Libraries | People | FAQ | More

#### strategy::side::side_by_triangle

Check at which side of a segment a point lies: left of segment (> 0), right of segment (< 0), on segment (0)

###### Synopsis

    template<typename CalculationType>
    class strategy::side::side_by_triangle
    {
      // ...
    };

###### Template parameter(s)

Parameter | Default | Description
--- | --- | ---
typename CalculationType | void | numeric type for calculation (e.g. high precision); if void then it is extracted automatically from the coordinate type and (if necessary) promoted to floating point

###### Member Function(s)

Function | Description | Parameters | Returns
--- | --- | --- | ---

    template<typename P1, typename P2, typename P>
    int apply(P1 const & p1, P2 const & p2, P const & p)

P1 const &: p1:

P2 const &: p2:

P const &: p:

###### Header

`#include <boost/geometry/strategies/cartesian/side_by_triangle.hpp>`